# $Revision: 1.18 $, $Date: 2008/07/27 22:54:06 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Statistics
%define		pnam	Simpson
Summary:	Statistics::Simpson - Simpson index
Summary(pl.UTF-8):	Statistics::Simpson - wskaźnik Simpsona
Name:		perl-Statistics-Simpson
Version:	0.01
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a60893a4efc2023d35eece27b1ab6aa8
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Statistics-Frequency >= 0.03
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Statistics::Simpson module can be used to compute the Simpson
index of data, which measures the variability of data.

%description -l pl.UTF-8
Moduł Statistics::Simpson może być używany do liczenia wskaźnika
Simpsona danych, który jest miarą zmienności danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Statistics-Simpson.spec,v $
Revision 1.18  2008/07/27 22:54:06  arekm
- release 5

Revision 1.17  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.15  2004/11/03 22:30:45  paladine
- formatting

Revision 1.14  2004/05/07 01:12:27  ankry
- rel. 4

Revision 1.13  2004/05/06 18:21:07  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/02 05:34:24  ankry
- license fix, cosmetics

Revision 1.11  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.10  2003/09/09 10:24:48  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:14  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:03  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:21  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/13 22:11:24  qboosh
- pl description, release 2

Revision 1.1  2002/09/21 21:01:35  radek
- new, STBR
